Summary:	Display information about users currently logged on
Name:		whowatch
Version:	1.8.6
Release:	%mkrel 6
License:	GPLv2
Group:		Monitoring
URL:		https://github.com/mtsuszycki/whowatch
Source0:	https://github.com/mtsuszycki/whowatch/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		whowatch-1.8.6-ncurses-tinfo.patch
BuildRequires:	ncurses-devel


%description
Whowatch is an interactive console utility that display information about
the users currently logged on to the machine, in real time. Besides standard
information (login, tty, host, user's process) you can see type of login
(local. ssh, telnet). You can also see selected user's processes tree or all
system processes tree.  In the process tree mode there is ability to send
INT or KILL signal to selected process.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README PLUGINS.readme TODO
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.8.6-6.mga10
+ Revision: 2196206
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 1.8.6-5.mga9
+ Revision: 1797339
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.8.6-4.mga8
+ Revision: 1522340
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 24 2019 solbu <solbu> 1.8.6-3.mga7
+ Revision: 1360473
- New upstream URL

* Sun Sep 23 2018 umeabot <umeabot> 1.8.6-2.mga7
+ Revision: 1301665
- Mageia 7 Mass Rebuild

* Thu May 17 2018 daviddavid <daviddavid> 1.8.6-1.mga7
+ Revision: 1229953
- new version: 1.8.6
- renameand rediff ncurses-tinfo patch

* Tue Feb 02 2016 umeabot <umeabot> 1.8.5-5.mga6
+ Revision: 932244
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.8.5-4.mga5
+ Revision: 744341
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.5-3.mga5
+ Revision: 690307
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.8.5-2.mga4
+ Revision: 539644
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 wally <wally> 1.8.5-1.mga4
+ Revision: 492648
- add patch to fix build after ncurses/tinfo split
+ solbu <solbu>
- New version

* Wed Aug 14 2013 solbu <solbu> 1.8.4-2.mga4
+ Revision: 466504
- Upstream fix for ChangeLog generation

* Mon Aug 12 2013 solbu <solbu> 1.8.4-1.mga4
+ Revision: 465636
- New version
- Drop Patch0 - merged upstream
- Cleanup specfile

* Mon Jan 14 2013 umeabot <umeabot> 1.8.3-2.mga3
+ Revision: 385692
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 18 2012 shlomif <shlomif> 1.8.3-1.mga2
+ Revision: 210526
- imported package whowatch


* Sun Dec 08 2011 Johnny A. Solbu <solbu@mandriva.org> 1.8.3-1
- Spec cleanup

* Sun Dec 05 2011 Johnny A. Solbu <solbu@mandriva.org> 1.8.3-1
- Initial Mageia package

* Sun Jul 17 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.8.3-1
+ Revision: 690208
- make DESTDIR mostly work again..

  + Johnny A. Solbu <solbu@mandriva.org>
    - New version
    - Updated patch
    - spec file fix: "make install" have been broken since 1.6.0

* Sun Jul 17 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4-1
+ Revision: 690145
- add support for DESTDIR in Makefile (P1)
- %%make is sufficient ;)

  + Johnny A. Solbu <solbu@mandriva.org>
    - Initial Mandriva release
    - import whowatch

